[Bug] tutorial text very hard to read due to color

5 replies [Last post]
RodrigoBR
User offline. Last seen 1 week 1 day ago. Offline
Joined: 2021-06-05
Posts: 3

Hi! I just installed Hedgewars, it seems to be a great game! In the tutorial, however, the main text in the help boxes are almost black, and thus very hard to read because of the black background. See image below. The text should be a lighter tone, like the remaining text in the box.

I'm using Hedgewars version 0.9.25-r14358 on Debian Buster 64-bit with Gnome 3.30.2 and graphics card GeForce GTX 750 Ti/PCIe/SSE2.

RodrigoBR
User offline. Last seen 1 week 1 day ago. Offline
Joined: 2021-06-05
Posts: 3

Don't know why the image is not appearing to me. Here's the link: https://imgur.com/ESXCSzg

KIRA
KIRA's picture
User offline. Last seen 6 hours 14 min ago. Offline
Joined: 2014-09-23
Posts: 135

Welcome to Hedgewars! I cant help with your problem but I suggest you to download the most recent version of the game otherwise you wouldnt find any player in the multiplayer server.

nemo
nemo's picture
User offline. Last seen 2 days 3 hours ago. Offline
Joined: 2009-01-28
Posts: 1839

Seconded. Actually I don't even see the problem in the screenshot but we don't support 0.9.25 anyway.
Also, 1.0.0 is definitely available for Debian Buster.

--
Oh, what the heck. 1PLXzL1CBUD1kdEWqMrwNUfGrGiirV1WpH <= tip a hedgewars dev

Wuzzy
Wuzzy's picture
User offline. Last seen 1 day 7 hours ago. Offline
Joined: 2012-06-20
Posts: 1263

Yes, you should definitely update to version 1.0.0 then the problem should be fixed. This version is now out way over 1 year, just saying. Wink Smiley

If I remember correctly, the super dark text was a known (but rare) problem with the mission text in version 0.9.25 but it has been fixed now.

@nemo: The problem in the screenshot is below the 2nd line (below “Select Weapon” but above “Open ammo menu”). The line looks empty to you actually contains text but it's so dark gray it's almost invisible. Try enhancing the brightness to see it. Wink Smiley

Hi, I am a Hedgewars developer. Smile I accept personal donations in bitcoin. Heart 17fsUywHxeMHKG41UFfu34F1rAxZcrVoqH

RodrigoBR
User offline. Last seen 1 week 1 day ago. Offline
Joined: 2021-06-05
Posts: 3

Thank you people!

I tried adding "deb http://((my mirror))/debian sid main" to /etc/apt/sources.list, but this caused "2359 packages can be upgraded", and I'm not wanting to risk it. So I just downloaded the .deb package and tried to install it by hand. But I got:

The following packages have unmet dependencies:
 hedgewars : Depends: hedgewars-data (>= 1.0.0) but it is not going to be installed
             Depends: libphysfs1 (>= 3.0.2) but it is not going to be installed
             Depends: libavformat58 (>= 7:4.2) but 7:4.1.6-1~deb10u1 is to be installed
             Depends: libc6 (>= 2.29) but 2.28-10 is to be installed
             Depends: libffi7 (>= 3.3~20180313) but it is not installable
             Depends: libgcc-s1 (>= 3.0) but it is not installable
             Depends: libqt5core5a (>= 5.15.1) but 5.11.3+dfsg1-1+deb10u4 is to be installed
             Depends: libqt5gui5 (>= 5.14.1) but 5.11.3+dfsg1-1+deb10u4 is to be installed or
                      libqt5gui5-gles (>= 5.14.1) but it is not installable
             Depends: libqt5widgets5 (>= 5.15.1) but 5.11.3+dfsg1-1+deb10u4 is to be installed
             Depends: libsdl2-2.0-0 (>= 2.0.12+dfsg1) but 2.0.9+dfsg1-1 is to be installed
             Depends: qtbase-abi-5-15-2 but it is not installable
E: Unable to correct problems, you have held broken packages.

So I added sid to the sources list again, updated (not upgraded!) and tried again, but I got:

The following packages have unmet dependencies:
 gsettings-desktop-schemas : Breaks: mutter (< 3.31.4) but 3.30.2-9~deb10u1 is to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

Guess what? I have already done the tutorials with dark text, so I'm fine. Thanks again!

Copyright © 2004-2021 Hedgewars Project. All rights reserved. [ contact ]